HTTP
All operations require authentication.
List HTTP frontendsProduction
Path parameters
The internal name of your IP load balancing
Query parameters
Filter the value of defaultFarmId property (=)
Filter the value of defaultSslId property (=)
Filter the value of port property (like)
Filter the value of zone property (=)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ frontend \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create an HTTP frontendProduction
Path parameters
The internal name of your IP load balancing
Request body (required)
Restrict IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time
Only attach frontend on these ip. No restriction if null
Default HTTP Farm of your frontend
Default ssl served to your customer
Deny IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time
Disable your frontend. Default: 'false'
Human readable name for your frontend, this field is for you
block all SSL connection request without SNI. Default: 'false'
HTTP Strict Transport Security. Default: 'false'
Add header to your frontend. Useful variables admitted : %ci <=> client_ip, %cp <=> client_port
Port(s) attached to your frontend. Supports single port (numerical value), range (2 dash-delimited increasing ports) and comma-separated list of 'single port' and/or 'range'. Each port must be in the [1;49151] range.
SSL deciphering. Default: 'false'
Zone of your frontend. Use "all" for all owned zone.
Response
Restrict IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time
Only attach frontend on these ip. No restriction if null
Default HTTP Farm of your frontend
Default ssl served to your customer
Deny IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time
Disable frontend. Default: 'false'
Human readable name for your frontend, this field is for you
block all SSL connection request without SNI. Default: 'false'
Id of your frontend
HTTP Strict Transport Security. Default: 'false'
Add header to your frontend. Useful variables admitted : %ci <=> client_ip, %cp <=> client_port
Listening port(s) on the server
SSL deciphering. Default: 'false'
Internal Load Balancer identifier of the vRack private network attached to your frontend.
Virtual Router Identifier. 1-255
Zone of you frontend
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ frontend \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedSource": [ "192.0.2.0/24" ], "dedicatedIpfo": [ "192.0.2.0/24" ], "defaultFarmId": 0, "defaultSslId": 0, "deniedSource": [ "192.0.2.0/24" ], "disabled": true, "displayName": "string", "forceSni": true, "frontendId": 0, "hsts": true, "httpHeader": [ "string" ], "port": "string", "redirectLocation": "string", "ssl": true, "vrackNetworkId": 0, "vrackVrouterId": 0, "zone": "string"}
Get an HTTP frontendProduction
Path parameters
Id of your frontend
The internal name of your IP load balancing
Response
Restrict IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time
Only attach frontend on these ip. No restriction if null
Default HTTP Farm of your frontend
Default ssl served to your customer
Deny IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time
Disable frontend. Default: 'false'
Human readable name for your frontend, this field is for you
block all SSL connection request without SNI. Default: 'false'
Id of your frontend
HTTP Strict Transport Security. Default: 'false'
Add header to your frontend. Useful variables admitted : %ci <=> client_ip, %cp <=> client_port
Listening port(s) on the server
SSL deciphering. Default: 'false'
Internal Load Balancer identifier of the vRack private network attached to your frontend.
Virtual Router Identifier. 1-255
Zone of you frontend
Example uses frontendId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ frontend/ {frontendId} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedSource": [ "192.0.2.0/24" ], "dedicatedIpfo": [ "192.0.2.0/24" ], "defaultFarmId": 0, "defaultSslId": 0, "deniedSource": [ "192.0.2.0/24" ], "disabled": true, "displayName": "string", "forceSni": true, "frontendId": 0, "hsts": true, "httpHeader": [ "string" ], "port": "string", "redirectLocation": "string", "ssl": true, "vrackNetworkId": 0, "vrackVrouterId": 0, "zone": "string"}
Delete an HTTP frontendProduction
Path parameters
Id of your frontend
The internal name of your IP load balancing
Response
Example uses frontendId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ frontend/ {frontendId} \
-H "authorization: Bearer $OVH_TOKEN"Update an HTTP frontendProduction
Path parameters
Id of your frontend
The internal name of your IP load balancing
Request body (required)
Restrict IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time
Only attach frontend on these ip. No restriction if null
Default HTTP Farm of your frontend
Default ssl served to your customer
Deny IP Load Balancing access to these ip block. No restriction if null. You cannot specify allowedSource and deniedSource both at the same time
Disable frontend. Default: 'false'
Human readable name for your frontend, this field is for you
block all SSL connection request without SNI. Default: 'false'
Id of your frontend
HTTP Strict Transport Security. Default: 'false'
Add header to your frontend. Useful variables admitted : %ci <=> client_ip, %cp <=> client_port
Listening port(s) on the server
SSL deciphering. Default: 'false'
Internal Load Balancer identifier of the vRack private network attached to your frontend.
Virtual Router Identifier. 1-255
Zone of you frontend
Response
Example uses frontendId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ frontend/ {frontendId} \
-H "authorization: Bearer $OVH_TOKEN"List HTTP routesProduction
Path parameters
The internal name of your IP load balancing
Query parameters
Filter the value of frontendId property (=)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ route \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create an HTTP routeProduction
Path parameters
The internal name of your IP load balancing
Request body (required)
Action triggered when all rules match
Human readable name for your route, this field is for you
Route traffic for this frontend
Route priority ([0..255]). 0 if null. Highest priority routes are evaluated last. Only the first matching route will trigger an action
Response
Action triggered when all rules match
Human readable name for your route, this field is for you
Route traffic for this frontend
Id of your route
List of rules to match to trigger action
Route status. Routes in "ok" state are ready to operate
creatingdeletinginternalokupdatingRoute priority ([0..255]). 0 if null. Highest priority routes are evaluated last. Only the first matching route will trigger an action
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ route \
-H "authorization: Bearer $OVH_TOKEN"{ "action": { "status": 0, "target": "string", "type": "string" }, "displayName": "string", "frontendId": 0, "routeId": 0, "rules": [ { "field": "string", "match": "contains", "negate": true, "pattern": "string", "ruleId": 0, "subField": "string" } ], "status": "creating", "weight": 0}
Get an HTTP routeProduction
Path parameters
Id of your route
The internal name of your IP load balancing
Response
Action triggered when all rules match
Human readable name for your route, this field is for you
Route traffic for this frontend
Id of your route
List of rules to match to trigger action
Route status. Routes in "ok" state are ready to operate
creatingdeletinginternalokupdatingRoute priority ([0..255]). 0 if null. Highest priority routes are evaluated last. Only the first matching route will trigger an action
Example uses routeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ route/ {routeId} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": { "status": 0, "target": "string", "type": "string" }, "displayName": "string", "frontendId": 0, "routeId": 0, "rules": [ { "field": "string", "match": "contains", "negate": true, "pattern": "string", "ruleId": 0, "subField": "string" } ], "status": "creating", "weight": 0}
Delete an HTTP routeProduction
Path parameters
Id of your route
The internal name of your IP load balancing
Response
Example uses routeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ route/ {routeId} \
-H "authorization: Bearer $OVH_TOKEN"Update an HTTP routeProduction
Path parameters
Id of your route
The internal name of your IP load balancing
Request body (required)
Action triggered when all rules match
Human readable name for your route, this field is for you
Route traffic for this frontend
Id of your route
List of rules to match to trigger action
Route status. Routes in "ok" state are ready to operate
creatingdeletinginternalokupdatingRoute priority ([0..255]). 0 if null. Highest priority routes are evaluated last. Only the first matching route will trigger an action
Response
Example uses routeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ route/ {routeId} \
-H "authorization: Bearer $OVH_TOKEN"List route rulesProduction
Path parameters
Id of your route
The internal name of your IP load balancing
Response
Example uses routeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ route/ {routeId}/ rule \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a route ruleProduction
Path parameters
Id of your route
The internal name of your IP load balancing
Request body (required)
Human readable name for your rule
Name of the field to match like "protocol" or "host". See "/ipLoadbalancing/{serviceName}/availableRouteRules" for a list of available rules
Matching operator. Not all operators are available for all fields. See "/ipLoadbalancing/{serviceName}/availableRouteRules"
containsendswithexistsininternalismatchesstartswithInvert the matching operator effect
Value to match against this match. Interpretation if this field depends on the match and field
Name of sub-field, if applicable. This may be a Cookie or Header name for instance
Response
Human readable name for your rule
Name of the field to match like "protocol" or "host". See "/ipLoadbalancing/{serviceName}/availableRouteRules" for a list of available rules
Matching operator. Not all operators are available for all fields. See "/ipLoadbalancing/{serviceName}/availableRouteRules"
containsendswithexistsininternalismatchesstartswithInvert the matching operator effect
Value to match against this match. Interpretation if this field depends on the match and field
Id of your rule
Name of sub-field, if applicable. This may be a Cookie or Header name for instance
Example uses routeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ route/ {routeId}/ rule \
-H "authorization: Bearer $OVH_TOKEN"{ "displayName": "string", "field": "string", "match": "contains", "negate": true, "pattern": "string", "ruleId": 0, "subField": "string"}
Get a route ruleProduction
Path parameters
Id of your route
Id of your rule
The internal name of your IP load balancing
Response
Human readable name for your rule
Name of the field to match like "protocol" or "host". See "/ipLoadbalancing/{serviceName}/availableRouteRules" for a list of available rules
Matching operator. Not all operators are available for all fields. See "/ipLoadbalancing/{serviceName}/availableRouteRules"
containsendswithexistsininternalismatchesstartswithInvert the matching operator effect
Value to match against this match. Interpretation if this field depends on the match and field
Id of your rule
Name of sub-field, if applicable. This may be a Cookie or Header name for instance
Example uses routeId = 0, ruleId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ route/ {routeId}/ rule/ {ruleId} \
-H "authorization: Bearer $OVH_TOKEN"{ "displayName": "string", "field": "string", "match": "contains", "negate": true, "pattern": "string", "ruleId": 0, "subField": "string"}
Delete a route ruleProduction
Path parameters
Id of your route
Id of your rule
The internal name of your IP load balancing
Response
Example uses routeId = 0, ruleId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ route/ {routeId}/ rule/ {ruleId} \
-H "authorization: Bearer $OVH_TOKEN"Update a route ruleProduction
Path parameters
Id of your route
Id of your rule
The internal name of your IP load balancing
Request body (required)
Human readable name for your rule
Name of the field to match like "protocol" or "host". See "/ipLoadbalancing/{serviceName}/availableRouteRules" for a list of available rules
Matching operator. Not all operators are available for all fields. See "/ipLoadbalancing/{serviceName}/availableRouteRules"
containsendswithexistsininternalismatchesstartswithInvert the matching operator effect
Value to match against this match. Interpretation if this field depends on the match and field
Id of your rule
Name of sub-field, if applicable. This may be a Cookie or Header name for instance
Response
Example uses routeId = 0, ruleId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ route/ {routeId}/ rule/ {ruleId} \
-H "authorization: Bearer $OVH_TOKEN"